SAM3S8/SD8 Software Package: examples_graphics/smc_lcd/main.c File Reference

SAM3S8/SD8 Software Package 1.2
Defines | Functions | Variables

# main.c File Reference

`#include "board.h"`
`#include <stdint.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Defines

#define | IMAGE_HEIGHT 50
#define | IMAGE_WIDTH 100
#define | N_BLK_HOR 5
#define | N_BLK_VERT 4

## Functions

void | SysTick_Handler (void)
| Handler for SysTick interrupt. Increments the timestamp counter.
void | TSD_PenPressed (uint32_t dwX, uint32_t dwY)
| Callback called when the pen is pressed on the touchscreen.
void | TSD_PenMoved (uint32_t dwX, uint32_t dwY)
| Callback called when the pen is moved on the touchscreen.
void | TSD_PenReleased (uint32_t dwX, uint32_t dwY)
| Callback called when the touchscreen is released on the touchscreen.
int | main (void)
| Application entry point.

## Variables

uint8_t | gImageBuffer [IMAGE_HEIGHT *IMAGE_WIDTH *3]
const uint32_t | gColorPattern [N_BLK_HOR *N_BLK_VERT]

## Detailed Description

This file contains all the specific code for the smc_lcd example.

Definition in file main.c.

## Define Documentation

#define IMAGE_HEIGHT 50

Test image height.

Definition at line 115 of file main.c.

#define IMAGE_WIDTH 100

Test image width.

Definition at line 117 of file main.c.

#define N_BLK_HOR 5

Number of color block in horizontal direction of test image

Definition at line 119 of file main.c.

#define N_BLK_VERT 4

Number of color block in vertical direction of test image

Definition at line 121 of file main.c.

## Function Documentation

int main | ( | void | ) |

Application entry point.

Returns:
  Unused (ANSI-C compatibility).

Definition at line 231 of file main.c.

Here is the call graph for this function:

void SysTick_Handler | ( | void | ) |

Handler for SysTick interrupt. Increments the timestamp counter.

Default SysTick interrupt handler.

Definition at line 181 of file main.c.

Here is the call graph for this function:

void TSD_PenMoved | ( | uint32_t | dwX,
|  | uint32_t | dwY
| ) |  |

Callback called when the pen is moved on the touchscreen.

Parameters:

  dwX | horizontal position (in pixel if ts calibrated).
  dwY | vertical position (in pixel if ts calibrated).

Definition at line 210 of file main.c.

void TSD_PenPressed | ( | uint32_t | dwX,
|  | uint32_t | dwY
| ) |  |

Callback called when the pen is pressed on the touchscreen.

Parameters:

  dwX | horizontal position (in pixel if ts calibrated).
  dwY | vertical position (in pixel if ts calibrated).

Definition at line 199 of file main.c.

void TSD_PenReleased | ( | uint32_t | dwX,
|  | uint32_t | dwY
| ) |  |

Callback called when the touchscreen is released on the touchscreen.

Parameters:

  dwX | horizontal position (in pixel if ts calibrated).
  dwY | vertical position (in pixel if ts calibrated).

Definition at line 221 of file main.c.

## Variable Documentation

const uint32_t gColorPattern[N_BLK_HOR *N_BLK_VERT]

Initial value:

     {
        COLOR_BLACK,    COLOR_YELLOW, COLOR_RED,         COLOR_GREEN,  COLOR_BLUE,
        COLOR_CYAN,     COLOR_WHITE,  COLOR_INDIGO,      COLOR_OLIVE,  COLOR_BROWN,
        COLOR_GRAY,     COLOR_SIENNA, COLOR_GREENYELLOW, COLOR_SILVER, COLOR_VIOLET,
        COLOR_DARKBLUE, COLOR_ORANGE, COLOR_DARKGREEN,   COLOR_TOMATO, COLOR_GOLD,
    }

Color pattern for make image.

Definition at line 131 of file main.c.

uint8_t gImageBuffer[IMAGE_HEIGHT *IMAGE_WIDTH *3]

Image buffer.

Definition at line 128 of file main.c.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines